/* Teknet srl - Matteo Gambirasio */

@import url(https://fonts.googleapis.com/css?family=Lato:300,400,700);
html, body, #map-canvas { height: 100%; margin: 0; padding: 0;}

#sl_box
{
	position:relative;
	width:100%;
	height:100%;
}

#sl_show_details_box
{
	position:absolute;
	top:0;
	left:0;
	background-color: rgba(0,0,0,0.65);
	width:100%;
	min-height:650px;
	z-index:3;
	font-family: 'Lato', sans-serif;
	font-weight:700;
}

#sl_show_details
{
	position: absolute;
    top: 10%;
    left: 10%;
    min-width: 80%;
    min-height: 80%;
    background-color: #FFF;
	/*border-radius: 50px;*/
	border-top-right-radius: 0;
}

#sl_details_close
{
	position: absolute;
	top: -2%;
	right: -2%;
	color: #FFF;
	background-color: #5E5959;
	width: 4.5%;
	height: 5%;
	text-align: center;
	padding-top: 7px;
	border-radius: 50px;
	border: 3px solid white;
	font-size:16.5px;
	cursor:pointer;
}

#sl_details_image
{
	width: 43%;
	height: 50%;
	position: absolute;
	top: 7%;
	left: 6%;
	max-height: 100%;
}

#sl_details_details
{
	width: 43%;
	position: absolute;
	top: 7%;
	left: 51%;
	font-family: 'Lato', sans-serif;
	font-weight:400;
	font-size: 14px;
	overflow-y: auto;
	max-height: 100%;
	
}
#sl_details_details img
{
	max-height:35px;
	margin-right:5px;
	margin-bottom:5px;
	vertical-align:middle;
}

#sl_details_main_image
{
	margin-top:20px;
	height: 220px;
	width: 320px;
	margin-bottom:20px;
}
#sl_details_main_image img
{
	max-height: 220px;
	max-width: 320px;
	min-height: 220px;
	min-width: 320px;	
}

#sl_details_image_list
{
	
}
#sl_details_image_list img
{
	width: 40px;
	height: 40px;
	float: left;
	margin-right: 5px;
	border: 1px solid grey;
	cursor: pointer;
}

#sl_iframe
{
	position:relative;
	width:100%;
	min-height:750px;	
}

#sl_map_controls
{
	position:absolute;
	z-index:2;
	top:4%;
	left:2%;
	width:25%;
	height:92%;
	background-color:white;
	border: 1px solid #d2d3d5;
	font-family: 'Lato', sans-serif;
	font-weight:400;
	color:#5a5a5a;
}
#sl_map_controls_top
{
	position:relative;
	display: table;
	width:100%;
}
#sl_map_controls_center
{
	position:relative;
	width:100%;
	margin-bottom: 20px;
	overflow-y:auto;
	overflow-x:hidden;
}
#sl_map_controls_center_ext
{
	position:relative;
	width:100%;
	margin-bottom: 20px;
	overflow-y:auto;
	overflow-x:hidden;
}
#sl_map_controls_center_2
{
	position:relative;
	width:100%;
	border-bottom: 1px solid #d2d3d5;
}
#sl_category_list {
	padding: 0px 15px;
    display: table;
    width: calc(100% - 30px);
}
#sl_type_list {
	padding: 0px 15px;
    display: table;
    width: calc(100% - 30px);
}
#sl_map_controls_center_2 input[type=text]
{
	position: relative;
    width: calc(100% - 50px);
	padding: 5px 8px;
    margin-left: 15px;
    margin-right: 15px;
    background: #f1f2f4;
}

#sl_map_controls_center_2 input[type=button]
{
	position: relative;
	width: 84%;
	height: 35%;
	top:18%;
	left: 9%;
	padding-left: 5px;
}

#sl_map_controls_center_3
{
	position:relative;
	width:100%;
	height:8%;
	border-bottom: 1px solid #d2d3d5;
}

#sl_map_controls_center_4
{
	position:relative;
	width:100%;
	overflow-y: auto;
	overflow-x: hidden;
    background: #fff;
}

#sl_map_controls_center_4.results
{
	height:93%;
}

#sl_map_controls_center_4_ext
{
	position:relative;
	width:100%;
	overflow-y: auto;
	overflow-x: hidden;
}

#sl_map_controls_center_4_ext.results
{
	height:57%;
}


#sl_map_controls_bottom
{
	position:relative;
	width:100%;
	height:6%;
}

#sl_map_controls_bottom_expand
{
	text-align:center;
	cursor:pointer;
}

#sl_cat_list_popup,
#sl_typ_list_popup
{
	margin-top:10px;
}

#sl_cat_list_popup div,
#sl_typ_list_popup div
{
	text-transform: uppercase;
    font-weight: 500;
    text-decoration: underline;
}

#sl_show_results
{
	margin:5%;
}

#sl_search_button {
	margin: 15px;
    text-align: center;
    cursor: pointer;
    background-color: #009fe4;
    border: 2px solid #009fe4;
    text-transform: uppercase;
    padding: 5px;
    color: #fff;
}
#sl_search_button:hover {
	color: #009fe4;
	background-color: #fff;
}

#sl_details_list
{
	text-align:right;
	position:absolute;
	bottom:0;
	right:0;
	cursor:pointer;
}

.sl_show_results_desc
{
	width:100%;
}

.sl_cat_btn
{
	position:relative;
	width:calc(100% - 30px);
	height:100%;
	float:left;
	border-bottom:1px solid #d2d3d5;
	text-align:center;
	padding: 15px;
	cursor:pointer;
}
.sl_legenda_write {
    font-family: 'Lato', sans-serif;
    font-weight: 400;
    font-size: 16px;
    width: calc(100% - 30px);
    padding: 15px;
    border-bottom: 3px;
}

.sl_affina_write
{
	position:relative;
	font-family: 'Lato', sans-serif;
	font-weight:400;
	width:100%;
	text-align:center;
	padding-top:15px;
	cursor:pointer;
}

.sl_cat_square
{
    height: 20px;
    width: 20px;
    margin-left: 3px;
    float: left;
    margin-right: 5px;
	cursor:pointer;
	border: 2px solid #5a5a5a;
}

.sl_cat_square_small
{
    height: 10px;
    width: 10px;
    margin-left: 10px;
    float: left;
    margin-right: 5px;
	border: 0.5px solid black;
}

.sl_cat_square_small_rb
{
    height: 13px;
    width: 13px;
    float: left;
    margin-right: 5px;
	border: 0.5px solid black;
}

.sl_cat_square img
{
	width: 100%;
}

/* modificata grandezza */
/*
.sl_cat_square_extrasmall
{
    height: 7px;
    width: 7px;
    margin-right: 3px;
	margin-top:3px;
	border: 0.35px solid black;
	float:left;
	
}
*/

.sl_cat_square_extrasmall
{
    text-transform: uppercase;
    text-decoration: underline;
    font-weight: 600;
    color: #009fe4;
}


.sl_cat_box
{
	width:100%;
	float:left;
	height:25px;
	display: flex;
    align-items: center;
    margin-bottom: 3px;
}

.sl_show_results_single {
    margin-bottom: 10px;
    padding-bottom: 10px;
    font-size: 13px;
    cursor: pointer;
    border-bottom: 1px solid #d3d3d3;
}

.sl_extra_infos
{
	font-size: 12px;
    margin-top: 5px;
    margin-bottom: 7px;
}

.sl_extra_infos a
{
	color:#009fe4;
}

.sl_extra_infos a:visited,  .sl_extra_infos a:hover
{
    color:#000;
}

.sl_popup_extra_infos
{
	margin-top:5px;
}

.sl_popup_extra_infos a
{
	color:#009fe4;
}

.sl_popup_extra_infos a:visited 
{
    color:#009fe4;
}

/* modifica alla visualizzazione per l'estero */
.map_switcher
{
	float:left;
	width:100%;
	margin-top:10px;
	margin-bottom:10px;
}

.map_switcher .map_switch
{
	float:left;
	width:50%;
	text-align:center;
	font-weight:800;
	color:white;
	background-color:#d1d3d4;
	padding-top:5px;
	padding-bottom:5px;
	cursor:pointer;
}

.map_switcher .active_switch
{
	background-color:#a22222;
}

#sl_static_map
{
	position:relative;
	width:100%;
	min-height:1050px;	
}

.floated_box
{
	float:left;
}

.sl_hidden
{
	display:none;
}

#sl_result_title {
	padding: 10px 23px;
    font-size: 14px;
    text-decoration: underline;
    cursor: pointer;
}
#sl_result_title:before {
	content: "X";
	padding-right: 10px;
}
.sl_shop_name {
	font-size: 18px;
    margin-bottom: 5px;
}
.sl_show_results_buttons {
	display: none;
}

/******/

/* Rob */
@media screen and (max-width: 1365px) {
	.sl_shop_name {
    	font-size: 15px;
    }
}


/* RESPONSIVE */
@media screen and (max-width: 769px) {

	#sl_iframe
	{
		position:relative;
		width:100%;
		min-height:500px;	
	}
	#sl_map_controls_center,
	#sl_map_controls_center_ext
	{
		font-size:12px;
		margin-bottom: 10px;
	}	
	#sl_map_controls_center_4
	{
		font-size:12px;
	}

	#sl_search_button {
	    margin: 10px 15px;
	    padding: 2px;
	    font-size: 12px;
	}
	
	#sl_map_controls_center_2 input[type=text]
	{
		font-size: 11px;
	}
	
	#sl_details_image_list img
	{
		margin-bottom:3px;
	}

	.sl_legenda_write {
    	padding: 10px 15px;
	}	

	.sl_cat_square {
    	margin-left: 0px;
	}
	
	#sl_details_main_image
	{
		margin-top:20px;
		height: 180px;
		width: 250px;
		margin-bottom:20px;
	}
	#sl_details_main_image img
	{
		max-height: 180px;
		max-width: 250px;
		min-height: 180px;
		min-width: 250px;	
	}
	#sl_details_close
	{
		width:5.5%;
	}
	.sl_cat_square
	{
		height: 15px;
		width: 15px;
	}
	
	.sl_legenda_write
	{
		font-size:12px;
		float:left;
	}
	
	.sl_cat_box
	{
		height:18px;
	}
	
	.sl_cat_btn
	{
		position:relative;
		width:100%;
		height:100%;
		float:left;
		border-bottom:1px solid #d2d3d5;
		text-align:center;
		padding: 7px 0px;
		cursor:pointer;
		font-size:12px;
	}
	
	#sl_result_title {
    	padding: 5px 10px;
	}

	.sl_show_results_desc {
		font-size: 10px;
	}

	.sl_extra_infos {
    	font-size: 10px;
	}
}

@media screen and (max-width: 767px) {

	
	#map-canvas 
	{ 
		display: none;
	}
	#sl_iframe
	{
		position:relative;
		height: 100%;
    	/*min-height: -webkit-fill-available;*/	
	}
	#sl_map_controls_center
	{
		min-height:140px;
	}
	#sl_map_controls
	{
		top:0;
		left:0;
		width:99%;
		height:auto;
		background-color:white;
		border: 1px solid #d2d3d5;
		font-family: 'Lato', sans-serif;
		font-weight:400;
		color:#5a5a5a;
	}
	#sl_cat_btn_promozioni
	{
		min-width:50.2%;
	}
	#sl_map_controls_center
	{
		position:relative;
		min-height:65px;
		border-bottom: 1px solid #d2d3d5;
		overflow-y:auto;
		overflow-x:hidden;
	}	
	#sl_search_button
	{
		float: left;
    	width: calc(100% - 38px);
	}
	#sl_map_controls_center_2 input[type=text]
	{
		width: calc(100% - 46px);
		padding: 5px 6px;
		background: #f1f2f4;
		float:left;
	}
	#sl_map_controls_center_2
	{
		position:relative;
		width:100%;
		min-height:33px;
		border-bottom: 0px;
	}
	#sl_map_controls_center_4
	{
		overflow: auto;
		font-size:12px;
		width:auto;
		/*white-space: nowrap;*/
	}
	#sl_map_controls_center_4_ext.results 
	{
		max-height:120px;
	}
	#sl_show_results
	{
		margin:1.8%;
	}
		
	#sl_details_image
	{
		display:none;
	}
	#sl_details_details
	{
		width: 360px;
		max-width: 360px;
		position: absolute;
		top: 7%;
		font-family: 'Lato', sans-serif;
		font-weight:400;
		font-size: 14px;
		overflow-y: auto;
		max-height: 100%;	
		left:5%;		
	}
	#sl_details_close
	{
		width: 8.5%;
	}
	.sl_show_results_desc
	{
		overflow:hidden;
		width: 70%;
    	float: left;
	}
	.sl_show_results_single
	{
		width:30%;
		font-size: 12px;
		cursor:pointer;
		float:left;
		margin-left:10px;
	}	
	.sl_legenda_write
	{
		font-family: 'Lato', sans-serif;
		font-weight:400;
	}
	.sl_cat_btn
	{
		position:relative;
		height:auto;
		float:left;
	}
	.sl_cat_box
	{
		width:30%;
		float:left;
		height:25px;
	}

	.sl_show_results_buttons {
		display: block;
		width: 30%;
    	float: left;
	}

	.sl_app_link {
		text-align: center;
		font-size: 10px;
    	color: #5a5a5a;
	}

	.sl_app_link a {
		color: #5a5a5a;
	}

	.sl_app_link img {
		max-width: 50px;
	}
}

@media screen and (max-width: 361px) {
	
	#sl_cat_btn_promozioni
	{
		min-width:50%;
	}
		
	#sl_details_image
	{
		display:none;		
	}
	#sl_details_details
	{
		width:100%;
		left:10px;
	}
	#sl_details_close
	{
		right: -5%;
		width: 11.5%;
	}
	#sl_show_details
	{
		position: absolute;
		top: 10%;
		left: 10%;
		min-width: 80%;
		min-height: 80%;
		background-color: #FFF;
		border-radius: 0px;
		border-top-right-radius: 0;
	}
	#sl_details_details
	{
		max-width: 200px;
		position: absolute;
		top: 7%;
		font-family: 'Lato', sans-serif;
		font-weight:400;
		font-size: 14px;
		overflow-y: auto;
		max-height: 100%;		
	}
	#sl_map_controls_center_4_ext.results
	{
		max-height:120px;
	}
	#sl_map_controls_center_4
	{
		overflow-y: auto;
		overflow-x:hidden;
	}
	.sl_cat_box 
	{
		width: 50%;
	}
	.sl_show_results_single
	{
		width:950%;
	}	
}


@media screen and (max-width: 480px) {
	#sl_iframe {
	    width: 100%;
	}
	.sl_show_results_single {
		width: 98%;
    	margin-left: 2%;
	}
	#map-canvas {
		/*display: none;*/
	}
	#sl_map_controls_center_4_ext.results
	{
		max-height:120px;
	}
	#sl_map_controls_center_4 {
		height: auto;
	}
	#sl_map_controls_center_4.results {
		height: auto;
	}
}